package com.ruoyi.ss.storeApply.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * @author wjh
 * 2024/8/5
 */
@Data
public class StoreApplyApprovalDTO {

    @ApiModelProperty("申请id")
    @NotNull(message = "申请ID不允许为空")
    private Long id;

    @ApiModelProperty("申请是否通过")
    @NotNull(message = "是否通过不允许为空")
    private Boolean pass;

    @ApiModelProperty("审核意见")
    @Size(max = 200, message = "审核意见长度不能超过200个字符")
    private String verifyRemark;
}
