package com.ruoyi.common.constant;


/**
 * iot常量信息
 *
 * @author ruoyi
 */
public class IotConstants {

    /**
     * 时间单位 分钟
     */
    public static final String TIME_MIN = "min";

    /**
     * 时间单位 小时
     */
    public static final String TIME_HOUR = "hour";

    /**
     * 命令分隔符  @
     */
    public static final String COMMAND_SEPARATOR = "@";

    /**----------------------------地址start----------------------------*/
    /**
     * 命令下发地址
     */
    public static final String ADDS_COMMAND = "/datapoint/synccmds";

    /**
     * 设备数据点地址
     */
    public static final String ADDS_HISTORY_DATAPOINTS = "/datapoint/history-datapoints";

    /**
     * 设备数据点地址
     */
    public static final String ADDS_CURRENT_DATAPOINTS = "/datapoint/current-datapoints";

    /**
     * 设备详情
     */
    public static final String ADDS_DEVICE_DETAIL = "/device/detail";

    /**
     * 添加设备
     */
    public static final String CREATE_DEVICE = "/device/create";

    /**----------------------------地址end----------------------------*/

    /**----------------------------命令start----------------------------*/
    /**
     * 命令  打开
     */
    public static final String COMMAND_OPEN = "open";

    /**
     * 命令  关闭
     */
    public static final String COMMAND_CLOSE = "close";

    /**
     * 命令  电量充值
     */
    public static final String COMMAND_RECHARGE = "time";

    /**
     * 命令  设置断电方式
     */
    public static final String COMMAND_OUTAGE_WAY = "set";

    /**
     * 命令  累加充值电量
     */
    public static final String COMMAND_ADD_ELE = "money";

    /**
     * 命令  直接设置电量
     */
    public static final String COMMAND_SET_ELE = "mmney";

    /**----------------------------命令end----------------------------*/

}
